<?xml version="1.0" encoding="ISO-8859-1"?>
<models>

  <restrictions>
      <restriction type="constant" id="positiontype">
        <size>
          <index rank="'*'" value="4"/>
        </size>  
      </restriction>
      <restriction type="string" id="onofftype">
        <value>on</value>    
        <value>off</value>    
      </restriction>
      <restriction type="string" id="automanualtype">
        <value>auto</value>    
        <value>manual</value>    
      </restriction>
      <restriction type="constant" id="colormaptype">
        <size>
          <index rank="2" value="3"/>
        </size>
      </restriction>
      <restriction type="string" id="linestyletype">
        <value>-</value>
        <value>--</value>
        <value>.-</value>
        <value>.</value>      
      </restriction>
      <restriction type="constant" id="linewidthtype">
        <size index="'*'">1</size>
        <interval min="1" max="8"/>
      </restriction>  
  </restrictions>

  <model class="Entity" status="virtual">
    <property name="Type"/>
    <property name="Tag">
      <restriction type="string"/>
    </property>
    <property name="Parent">
      <restriction type="handle"/>
    </property>
    <property name="Visible">
      <restriction refid="onoffstring"/>
    </property>  
    <property name="Children"/>
    <property name="UserData">
      <restriction type="any"/>
    </property>
  </model>
  
  <model class="Figure" status="normal">
    <inherits class="Entity"/>
    <property name="Position">
      <restricition refid="positiontype"/>
    </property>
    <property name="OuterPosition">
      <restricition refid="positiontype"/>
    </property>  
    <property name="Color">
      <restriction type="color"/>
    </property>
    <property name="DoubleBuffer" storage="no">  
      <restriction refid="onoffstring"/>
    </property>  
    <property name="Name">
      <restriction type="string"/>
    </property>      
    <property name="ColorMap">  
      <restriction refid="colormaptype"/>
    </property>  
  </model>
  
  <model class="Axes" status="normal">
    <inherits class="Entity"/>
    <property name="Position">
      <restriction type="positiontype"/>
    </property>
    <property name="OuterPosition">
      <restriction type="positiontype"/>
    </property>
    <property name="NextPlot">
      <restriction type="string">
        <value>erase</value>
        <value>add</value>
        <value>replace</value>
      </restriction>
    </property>
    <property name="DataAspectRatio">
      <restriction type="constant">
        <size>
          <index rank="'*'" value="3"/>
        </size>
       </restriction>
    </property>   
    <property name="DataAspectRatioMode">
      <restriction refid="automanualtype"/>
    </property>
    <property name="Box" storage="no">
      <restriction refid="onofftype"/>
    </property>
    <property name="View" storage="no">
      <restriction type="constant">
        <size>
          <index rank="'*'" value="3"/>
        </size>
        <size>
          <index rank="'*'" value="2"/>
        </size>
       </restriction>
    </property>   
    <property name="ColorOrder">
      <restriction refid="colormaptype"/>
    </property>  
    <property name="LineStyleOrder">
      <restriction type="stringarray">
        <value>-</value>
        <value>--</value>
        <value>.-</value>
        <value>.</value>      
      </restriction>
    </property>
    <group name="Lim">
      <restriction type="constant">
        <size>
          <index rank="'*'" value="2"/>
        </size>           
      </restriction>
      <property name="XLim"/>
      <property name="YLim"/>
      <property name="ZLim"/>
      <property name="CLim"/>
    </group>
    <group name="LimMode">
      <restriction refid="automanualtype"/>
      <property name="XLimMode"/>
      <property name="YLimMode"/>
      <property name="ZLimMode"/>
      <property name="CLimMode"/>
    </group>
    <group name="Scale">
      <restriction type="string">
        <value>linear</value>    
        <value>log</value>    
      </restriction>      
      <property name="XScale"/>
      <property name="YScale"/>
      <property name="ZScale"/>
    </group>
    <group name="Dir">
      <restriction type="string">
        <value>normal</value>    
        <value>reverse</value>    
      </restriction>      
      <property name="XDir"/>
      <property name="YDir"/>
      <property name="ZDir"/>
    </group>
    <group name="Tick">
      <restriction type="constant"/>
      <property name="XTick"/>
      <property name="YTick"/>
      <property name="ZTick"/>
    </group>
    <group name="TickLabel">
      <restriction type="string"/>
      <property name="XTickLabel"/>
      <property name="ZTickLabel"/>
      <property name="ZTickLabel"/>
    </group>
    <property name="Title">
      <restriction type="handle"/>
    </property>  
    <group name="Label">
      <restriction type="handle"/>
      <property name="XLabel"/>
      <property name="YLabel"/>
      <property name="ZLabel"/>
    </group>
    <property name="XAxisLocation">
      <restriction type="string">
        <value>bottom</value>
        <value>top</value>
        <value>middle</value>
        <value>origin</value>
      </restriction>
    </property>
    <property name="YAxisLocation">
      <restriction type="string">
        <value>left</value>
        <value>right</value>
        <value>middle</value>
        <value>origin</value>
      </restriction>
    </property>
    <property name="Color">
      <restriction type="color"/>
    </property>  
    <group name="Color">
      <restriction type="color"/>
      <property name="XColor"/>
      <property name="YColor"/>
      <property name="ZColor"/>
    </group>
    <group name="GridColor">
      <restriction type="color"/>
      <property name="XGridColor"/>
      <property name="YGridColor"/>
      <property name="ZGridColor"/>
    </group>
    <group name="Grid">
      <restriction refid="onofftype"/>
      <property name="XGrid"/>
      <property name="YGrid"/>
      <property name="ZGrid"/>
    </group>
  </model>
  
  <model class="hggroup" status="normal">
    <inherits class="Entity"/>
    <property name="DisplayName">  
      <restriction type="string"/>
    </property>  
  </model>
    
  <model class="Leaf" status="virtual">
    <inherits class="Entity"/>
    <property name="DisplayName">  
      <restriction type="string"/>
    </property>  
    <property name="Marker">
      <restriction type="string">
        <size>
          <index rank="'*'">1</index>
        </size>
        <value>o</value>
        <value>+</value>
        <value>x</value>
        <value>.</value>
        <value>&lt;</value>
        <value>&gt;</value>
        <value>^</value>
        <value>v</value>
        <value>p</value>
        <value>pentagram</value>
      </restriction>
    </property>  
    <property name="MarkerFaceColor">
      <restriction type="color"/>
    </property> 
    <property name="MarkerEdgeColor">  
      <restriction type="color"/>
    </property> 
    <property name="LineWidth">
      <restriction refid="linewidthtype"/>
    </property>
    <property name="LineStyle">
      <restriction refid="linestyletype"/>
    </property>  
  </model>
  
  <model class="Line" status="normal">
    <inherits class="Leaf"/>
    <group name="Data">
      <property name="XData"/>  
      <property name="YData"/>  
      <property name="ZData"/>
    </group>
    <property name="Color">  
      <restriction type="color"/>
    </property> 
    </model>
  
  <model class="Surface" status="normal">
    <inherits class="Leaf"/>
    <group name="Data">
      <property name="XData"/>  
      <property name="YData"/>  
      <property name="ZData"/>  
      <property name="CData"/>  
    </group>
    <property name="VertexNormals"/>  
    <property name="NormalMode"/>  
    <property name="CDataMapping"/>  
    <property name="EdgeColor">  
      <restriction type="color"/>
    </property> 
    <property name="FaceColor">      
      <restriction type="string">
        <value>flat</value>    
        <value>mean</value>    
        <value>faceted</value>    
        <value>interp</value>    
      </restriction>
    </property>  
  </model>
  
  <model class="Patch" status="normal">
    <inherits class="Surface"/>
    <property name="Faces"/>  
    <property name="Vertices"/>  
    <property name="FaceVertexCData"/>  
  </model>
  
  <model class="Text" status="normal">
    <inherits class="Entity"/>
    <property name="Position">
      <restriction type="constant">
        <size>
          <index rank="'*'" value="3"/>
        </size>  
      </restriction>
    </property>  
    <property name="Rotation">
      <restriction type="constant">
       <size>
          <index rank="'*'" value="1"/>
        </size>  
      </restriction>
    </property>
    <property name="Color">
      <restriction type="color"/>
    </property>  
    <property name="BackGroundColor">
      <restriction type="color"/>
    </property>  
    <property name="EdgeColor">
      <restriction type="color"/>
    </property>  
    <property name="LineStyle">
      <restriction refid="linestyletype"/>
    </property>  
    <property name="LineWidth">
      <restriction refid="linewidthtype"/>
    </property>
    <property name="String">
      <restriction type="string"/>
    </property>  
    <property name="FontName">
      <restriction type="string"/>
    </property>      
    <property name="FontAngle"> 
      <restriction type="string">
        <value>normal</value> 
        <value>italic</value> 
      </restriction>  
    </property>           
    <property name="FontWeight"> 
      <restriction type="string">
        <value>normal</value> 
        <value>bold</value> 
      </restriction>  
    </property>      
    <property name="FontUnits"/> 
    <property name="HorizontalAlignment"/>  
    <property name="VerticalAlignment"/>  
    <property name="Interpreter"/>  
  </model>

    
</models>